=== debian/changelog ===
cataclysm-dda (0.5-maemo1) unstable; urgency=low

  * New upstream code (2f4a2110655576c1d29575be90098ae9ea575e03)

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Tue, 18 Jun 2013 17:11:40 +0200

cataclysm-dda (0.2-maemo1) unstable; urgency=low

  * New upstream code (Forked)
  * Menu icon
  * (uses /opt/cataclysm/save no code modifications for that)

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Wed, 06 Mar 2013 21:58:40 +0200

cataclysm (0.0.5-maemo1) unstable; urgency=low

  * New upstream code
  * Menu icon
  * (uses /opt/cataclysm/save no code modifications for that)

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Wed, 21 Mar 2012 21:58:40 +0200

cataclysm (0.0.4-maemo1) unstable; urgency=low

  * New upstream code
  * Menu icon
  * saves to /home/user/.cataclysm/

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Tue, 22 Nov 2011 09:37:40 +0200

cataclysm (0.0.3-maemo1) unstable; urgency=low

  * New upstream
  * Menu icon
  * saves to /home/user/.cataclysm/

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Tue, 18 Oct 2011 13:37:40 +0200

cataclysm (0.0.2-maemo1) unstable; urgency=low

  * New upstream
  * Menu icon
  * saves to /home/user/.cataclysm/

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Mon, 15 Jul 2011 21:53:40 +0200

cataclysm (0.0.1-maemo1) unstable; urgency=low

  * Initial release

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Thu, 12 Jul 2011 14:53:40 +0200
