=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif


configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: build-stamp
build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	make

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	make clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs


	#folders
	install -d ${CURDIR}/debian/cataclysm-dda/opt/cataclysm-dda/data
	install -d ${CURDIR}/debian/cataclysm-dda/opt/cataclysm-dda/save

	#binary
	install ${CURDIR}/cataclysm ${CURDIR}/debian/cataclysm-dda/opt/cataclysm-dda/
	#data
	cp -r ${CURDIR}/data ${CURDIR}/debian/cataclysm-dda/opt/cataclysm-dda/

	#menu and icon and starter
	install -d  ${CURDIR}/debian/cataclysm-dda/usr/share/icons/hicolor/64x64/hildon
	install ${CURDIR}/debian/cataclysm-dda.png     ${CURDIR}/debian/cataclysm-dda/usr/share/icons/hicolor/64x64/hildon

	#there must be desktop-file and two launcher. desktop file can't use any parameters
	# .desktop calls /usr/bin/cataclysm-dda.sh
	# /usr/bin/cataclysm-dda.sh starts osso-xterm and gives opt/cataclysm-dda/cataclysm-launcher.sh as parameter (-e)
	# cataclysm-launcher.sh uses cd X ; ./cataclysm (binary must be called near data-files)

	#desktop
	install -d ${CURDIR}/debian/cataclysm-dda/usr/share/applications/hildon
	install ${CURDIR}/debian/cataclysm-dda.desktop ${CURDIR}/debian/cataclysm-dda/usr/share/applications/hildon

	#launcher 1
	install -d ${CURDIR}/debian/cataclysm-dda/usr/bin
	install ${CURDIR}/debian/cataclysm-dda.sh ${CURDIR}/debian/cataclysm-dda/usr/bin

	#launcher 2
	install ${CURDIR}/debian/cataclysm-launcher.sh ${CURDIR}/debian/cataclysm-dda/opt/cataclysm-dda/


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
