=== debian/changelog ===
cataclysm-dda (0.5-maemo2) unstable; urgency=low

  * Icon
  * default keys

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Wed, 19 Jun 2013 13:34:40 +0200
