=== debian/rules ===
--- 
+++ 
@@ -60,6 +60,7 @@
 	install ${CURDIR}/cataclysm ${CURDIR}/debian/cataclysm-dda/opt/cataclysm-dda/
 	#data
 	cp -r ${CURDIR}/data ${CURDIR}/debian/cataclysm-dda/opt/cataclysm-dda/
+	cp ${CURDIR}/debian/keymap.txt ${CURDIR}/debian/cataclysm-dda/opt/cataclysm-dda/
 
 	#menu and icon and starter
 	install -d  ${CURDIR}/debian/cataclysm-dda/usr/share/icons/hicolor/64x64/hildon
